Show / Hide Table of Contents

# Class RestAuditLogEntry

Represents a REST-based audit log entry.

##### Inheritance

System.Object
RestEntity<System.UInt64>
RestAuditLogEntry

##### Implements

IAuditLogEntry
ISnowflakeEntity
IEntity<System.UInt64>

##### Inherited Members

RestEntity<UInt64>.Id
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RestAuditLogEntry : RestEntity<ulong>, IAuditLogEntry, ISnowflakeEntity, IEntity<ulong>

### Properties

| Improve this Doc View Source

#### Action

##### Declaration

    public ActionType Action { get; }

##### Property Value

Type | Description
--- | ---
ActionType |

| Improve this Doc View Source

#### CreatedAt

##### Declaration

    public DateTimeOffset CreatedAt { get; }

##### Property Value

Type | Description
--- | ---
System.DateTimeOffset |

| Improve this Doc View Source

#### Data

##### Declaration

    public IAuditLogData Data { get; }

##### Property Value

Type | Description
--- | ---
IAuditLogData |

| Improve this Doc View Source

#### Reason

##### Declaration

    public string Reason { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### User

##### Declaration

    public IUser User { get; }

##### Property Value

Type | Description
--- | ---
IUser |

### Implements

IAuditLogEntry
ISnowflakeEntity
IEntity<TId>